[SOLVED] need help updating

More
3 years 11 months ago #1 by euphorio
need help updating was created by euphorio
i came here looking for help and i hope thats ok. i hope i m not posting in the wrong section as well. dont wanna be a bother! but i see reshade is now up to the 3.0 version and it seems like i m still running the 1.1.0.963 version. i downloaded and installed the 3.0 version, but my watermark still says 1.1.0.963 and i dont seem to have the 3.0 version. can someone please help? i dont wanna break my game or my settings :(

thanks in advance!

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago #2 by crosire
Replied by crosire on topic need help updating
You will loose your settings one way or another. ReShade 3.0 uses a different format, all preset settings are stored in a single INI file and everything is configurable in realtime from the in-game GUI. So you'd have to manually copy over the values from your current settings.
Installation: Make sure you point the setup tool to the actual game executable, the same location you installed 1.1 to and hit "Yes" if it asks you whether it should overwrite the existing installation.
The following user(s) said Thank You: euphorio

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago - 3 years 11 months ago #3 by euphorio
Replied by euphorio on topic need help updating
ok i did that but i still see the same old watermark. its like it didnt really overwrite the old version. what do i do? oh yea i forgot to mention the game is guild wars 2.

and thanks for responding and lending a helping hand! i really appreciate it.
Last edit: 3 years 11 months ago by euphorio.

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago #4 by crosire
Replied by crosire on topic need help updating
Ah, 1.1 did probably install it as symlink if you didn't select "Push to application". In that case you'll have to manually delete ReShade from the game first (d3d9.dll/dxgi.dll/opengl32.dll). The 3.0 setup tool should print an error though? It would say "Done!" if installation was successfully otherwise.

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago #5 by euphorio
Replied by euphorio on topic need help updating
ok i deleted those files. i didnt get any error messages from 3.0 setup before. it said DONE. i ll reinstall 3.0 now to see what happens.

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago #6 by euphorio
Replied by euphorio on topic need help updating
now it says NO EFFECT FOUND but the old watermark is still there.

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago #7 by euphorio
Replied by euphorio on topic need help updating
ok watermark is gone and i installed 3.0 but i dont kno how to make it work :(

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago #8 by crosire
Replied by crosire on topic need help updating
You are in the games installation directory, right? Because it doesn't sound like it. Steam games for instance are usually found at "C:\Program Files (x86)\Steam\steamapps\common". That's where you'll find the game executable and the location to uninstall ReShade 1.1 from and ReShade 3.0 to. Not some launch game shortcut or similar, the actual game executable (*.exe file).

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago #9 by euphorio
Replied by euphorio on topic need help updating
yep, i m in the game installation directory for sure. C:\Program Files (x86)\Guild Wars 2

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago - 3 years 11 months ago #10 by crosire
Replied by crosire on topic need help updating
Guild Wars 2 is a special case =). You need to install ReShade to the bin folder there. Since the 3.0 setup tool already copied the DLL to the main folder, the only thing you need to do is move the 3.0 d3d9.dll from "C:\Program Files (x86)\Guild Wars 2" to "C:\Program Files (x86)\Guild Wars 2\bin" and overwrite the existing one (which is likely 1.1). Do the same for d3d9.ini.

Tip: reshade.me/compatibility has instructions for special cases like this.
Last edit: 3 years 11 months ago by crosire.
The following user(s) said Thank You: euphorio

Please Log in or Create an account to join the conversation.

More
3 years 11 months ago #11 by euphorio
Replied by euphorio on topic need help updating
that did it! ok now on to the tutorial. i think i should be fine from here on out. if i run into something i cant fix after trying for hours searching the forum and compatibility page, sorry but u will hear from me again :D

thanks again!!!

Please Log in or Create an account to join the conversation.